Subject: Re: Parallel Port, Direct control?
From: "PS Heald" <[email-masked]>
To: [email-masked] (AMOS List)
Date: Tue, 5 Dec 1995 16:26:39 +0000 (GMT)

Forwarded message:
> From [email-masked] Tue Dec  5 16:18 GMT 1995
> Date: Tue, 5 Dec 1995 09:34:49 +0100 (MET)
> From: Tesi Balossino <[email-masked]>
> To: James Brown <[email-masked]>
> Cc: [email-masked]
> Subject: Re: Parallel Port, Direct control?
> In-Reply-To: <[email-masked]>
> Message-Id: <Pine.SUN.3.91.951205093242.27718A-100000@cicladi>
> Mime-Version: 1.0
> Content-Type: TEXT/PLAIN; charset=US-ASCII
> Content-Length: 1061
> 
> On Tue, 5 Dec 1995, James Brown wrote:
> 
> > Hi!
> >      I'm new to the list (though old to amos!!) and have a question....
> > I've written a front-end for a robotics program, But want to use the
> > parallel port for output. The problem im having is that i dont want to use a
> > sophisticated interface. With IBMS (GASP!!!!) you can just, Eg in
> > quickbasic, Use out XXXX ect, But im not sure how to do this in amos. AMOS
> > seems to be very
> > fussy about the control lines!!!! I am using amos 1.3. 
> > 
> > Also, does anybody have any FTP sites for Amos Extentions.
> > 
> > Thanx in advance,
> > 
> >                      James Brown
> >                     GCC PRESIDENT
> > 
> >
> All you want can be simply done as below:
> 
> Poke data,Address of the parallel port.
> 
> This should be OK for you using Amos 1.3. Amos Pro has some commands to 
> manage directly the parallel port such as Parallel Send....

No no no no no! I don't think so... Not at all!!! There are two things to
do.... First, you must tell the parallell port that you are writing data OUT
of it (As you can read and write through the parallel port) then you must
Poke Address_Of_Port,Data : NOT the other way round, which will almost
certainly crash the poor little AMIGA.

I wrote a smilair program a while back... I'll have a look for it, and send
it you if I stil have it!!!

Good luck!

> 
> Bye... 
> 
>                                
> 			       Luca Ferraris
> 	              e-mail:[email-masked]
>          http://www.di.unito.it/pub/WWW/www_student/amiga/  (ADP Web)
> 
> 
> 	 
> 
> 

-- 
 ************************************************************************
 *									*
 *  ****  ****  *  *  	Mail [email-masked] <Paul HEALD>		*
 *  *  * *      *  *							*
 *  ***   ***   ****	Who cares about your lonley soul? We strive 	*
 *  *        *  *  *	towards a larger goal. Our little lives don't	*
 *  *     ***   *  *    count at all.					*
 *									*
 ************************************************************************